# Gst::TheoraDec Class Reference
[gstreamermm Plugins]

Gst::TheoraDec - theoradec plugin. More...

`#include <theoradec.h>`

Inheritance diagram for Gst::TheoraDec:

List of all members.

## Public Member Functions
virtual | ~TheoraDec ()
GstTheoraDec* | gobj ()
| Provides access to the underlying C GObject.
const GstTheoraDec* | gobj () const
| Provides access to the underlying C GObject.
GstTheoraDec* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy<bool> | property_crop ()
| Crop the image to the visible region.
Glib::PropertyProxy_ReadOnly <bool> | property_crop () const
| Crop the image to the visible region.
## Static Public Member Functions
static Glib::RefPtr<TheoraDec> | create ()
| Creates a new theoradec plugin with a unique name.
static Glib::RefPtr<TheoraDec> | create (const Glib::ustring& name)
| Creates a new theoradec plugin with the given name.
## Protected Member Functions
| TheoraDec ()
| TheoraDec (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Gst::TheoraDec> | wrap (GstTheoraDec* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Gst::TheoraDec - theoradec plugin.

Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems so care must be taken that they exist before they are used, otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::TheoraDec::~TheoraDec | ( |  | ) | `[virtual]`

Gst::TheoraDec::TheoraDec | ( |  | ) | `[protected]`

Gst::TheoraDec::TheoraDec | ( | const Glib::ustring & | name | ) | `[protected]`

## Member Function Documentation

static Glib::RefPtr<TheoraDec> Gst::TheoraDec::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new theoradec plugin with the given name.

static Glib::RefPtr<TheoraDec> Gst::TheoraDec::create | ( |  | ) | `[static]`

Creates a new theoradec plugin with a unique name.

const GstTheoraDec* Gst::TheoraDec::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

GstTheoraDec* Gst::TheoraDec::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

GstTheoraDec* Gst::TheoraDec::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::Element.

Glib::PropertyProxy_ReadOnly<bool> Gst::TheoraDec::property_crop | ( |  | ) | const

Crop the image to the visible region.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gst::TheoraDec::property_crop | ( |  | ) |

Crop the image to the visible region.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr<Gst::TheoraDec> wrap | ( | GstTheoraDec * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- theoradec.h